Bug 172460 - ccs needs BuildRequires: libxml2-devel
Summary: ccs needs BuildRequires: libxml2-devel
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: ccs
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
: 182085 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-04 20:55 UTC by Matt Hyclak
Modified: 2009-04-16 20:02 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-11-14 23:05:16 UTC


Attachments (Terms of Use)

Description Matt Hyclak 2005-11-04 20:55:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Galeon/1.3.21

Description of problem:
Trying to build ccs in a mock environment fails because there is no explicit BuildRequires: libxml2-devel

Version-Release number of selected component (if applicable):
All versions up to and including CVS 4U2 20051104

How reproducible:
Always

Steps to Reproduce:
1. Try to build ccs without libxml2-devel installed
2. Watch it fail
3. Install libxml2-devel
4. Watch it succeed
  

Actual Results:  As expected it fails without libxml2-devel installed

Additional info:

Comment 1 Chris Feist 2005-11-14 22:55:26 UTC
Will be fixed in the next release of ccs.

Comment 2 Chris Feist 2005-11-14 23:05:16 UTC
This is actually fixed in current release of ccs (1.0.2-0)

Comment 3 Matt Hyclak 2005-11-14 23:33:25 UTC
Will this be backported to the RHEL4 tag in the CVS tree, or would I be better
off just getting things out of rawhide?

Comment 4 Chris Feist 2005-11-15 15:42:06 UTC
The RPMS .spec files (and builds_srpms.pl script) are out of date and are not
used in our build environment.  I've removed them from cvs for now.

Comment 5 Chris Feist 2006-02-20 17:43:24 UTC
*** Bug 182085 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.